Skip to main content
POST
/
api
/
jobs
/
v1
/
goals
Link a goal to a job
curl --request POST \
  --url https://api.example.com/api/jobs/v1/goals \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "goalId": "62313cfd7a0af0281c01a6a6"
}
'
{
  "goal": {
    "currentStage": "Ideation",
    "goalId": "62313cfd7a0af0281c01a6a6",
    "jobId": "62313d207a0af0281c01a6a7",
    "projectId": "62313d377a0af0281c01a6a8",
    "title": "MyGoal",
    "description": "Develop a better performing model"
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

jobId
string
required

Id of job to link to goal

Body

application/json
goalId
string
required

Id of Goal to link to Job.

Example:

"62313cfd7a0af0281c01a6a6"

Response

Success

goal
object
required
metadata
object
required